"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.TotalTLS = void 0;
const resource_1 = require("cloudflare/resource");
class TotalTLS extends resource_1.APIResource {
    /**
     * Set Total TLS Settings or disable the feature for a Zone.
     */
    create(params, options) {
        const { zone_id, ...body } = params;
        return this._client.post(`/zones/${zone_id}/acm/total_tls`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get Total TLS Settings for a Zone.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/acm/total_tls`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.TotalTLS = TotalTLS;
(function (TotalTLS) {
})(TotalTLS = exports.TotalTLS || (exports.TotalTLS = {}));
//# sourceMappingURL=total-tls.js.map