"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Accounts = void 0;
const resource_1 = require("cloudflare/resource");
class Accounts extends resource_1.APIResource {
    /**
     * Add an account as a member of a particular address map.
     */
    update(addressMapId, params, options) {
        const { account_id } = params;
        return this._client.put(`/accounts/${account_id}/addressing/address_maps/${addressMapId}/accounts/${account_id}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Remove an account as a member of a particular address map.
     */
    delete(addressMapId, params, options) {
        const { account_id } = params;
        return this._client.delete(`/accounts/${account_id}/addressing/address_maps/${addressMapId}/accounts/${account_id}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Accounts = Accounts;
(function (Accounts) {
})(Accounts = exports.Accounts || (exports.Accounts = {}));
//# sourceMappingURL=accounts.js.map