"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.IPs = void 0;
const resource_1 = require("cloudflare/resource");
class IPs extends resource_1.APIResource {
    /**
     * Add an IP from a prefix owned by the account to a particular address map.
     */
    update(addressMapId, ipAddress, params, options) {
        const { account_id } = params;
        return this._client.put(`/accounts/${account_id}/addressing/address_maps/${addressMapId}/ips/${ipAddress}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Remove an IP from a particular address map.
     */
    delete(addressMapId, ipAddress, params, options) {
        const { account_id } = params;
        return this._client.delete(`/accounts/${account_id}/addressing/address_maps/${addressMapId}/ips/${ipAddress}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.IPs = IPs;
(function (IPs) {
})(IPs = exports.IPs || (exports.IPs = {}));
//# sourceMappingURL=ips.js.map