import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as ZonesAPI from 'cloudflare/resources/addressing/address-maps/zones';
export declare class Zones extends APIResource {
    /**
     * Add a zone as a member of a particular address map.
     */
    update(addressMapId: string, params: ZoneUpdateParams, options?: Core.RequestOptions): Core.APIPromise<ZoneUpdateResponse | null>;
    /**
     * Remove a zone as a member of a particular address map.
     */
    delete(addressMapId: string, params: ZoneDeleteParams, options?: Core.RequestOptions): Core.APIPromise<ZoneDeleteResponse | null>;
}
export type ZoneUpdateResponse = unknown | Array<unknown> | string;
export type ZoneDeleteResponse = unknown | Array<unknown> | string;
export interface ZoneUpdateParams {
    /**
     * Identifier
     */
    zone_id: string;
    /**
     * Identifier
     */
    account_id: string;
}
export interface ZoneDeleteParams {
    /**
     * Identifier
     */
    zone_id: string;
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Zones {
    export import ZoneUpdateResponse = ZonesAPI.ZoneUpdateResponse;
    export import ZoneDeleteResponse = ZonesAPI.ZoneDeleteResponse;
    export import ZoneUpdateParams = ZonesAPI.ZoneUpdateParams;
    export import ZoneDeleteParams = ZonesAPI.ZoneDeleteParams;
}
//# sourceMappingURL=zones.d.ts.map