// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import * as HistoriesAPI from 'cloudflare/resources/alerting/v3/histories';
import * as PoliciesAPI from 'cloudflare/resources/alerting/v3/policies';
import * as DestinationsAPI from 'cloudflare/resources/alerting/v3/destinations/destinations';
export class V3 extends APIResource {
    constructor() {
        super(...arguments);
        this.destinations = new DestinationsAPI.Destinations(this._client);
        this.histories = new HistoriesAPI.Histories(this._client);
        this.policies = new PoliciesAPI.Policies(this._client);
    }
    /**
     * Gets a list of all alert types for which an account is eligible.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/alerting/v3/available_alerts`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (V3) {
    V3.Destinations = DestinationsAPI.Destinations;
    V3.Histories = HistoriesAPI.Histories;
    V3.HistoryListResponsesV4PagePaginationArray = HistoriesAPI.HistoryListResponsesV4PagePaginationArray;
    V3.Policies = PoliciesAPI.Policies;
})(V3 || (V3 = {}));
//# sourceMappingURL=v3.mjs.map