import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as TieredCachingAPI from 'cloudflare/resources/argo/tiered-caching';
export declare class TieredCaching extends APIResource {
    /**
     * Updates enablement of Tiered Caching
     */
    edit(params: TieredCachingEditParams, options?: Core.RequestOptions): Core.APIPromise<TieredCachingEditResponse>;
    /**
     * Get Tiered Caching setting
     */
    get(params: TieredCachingGetParams, options?: Core.RequestOptions): Core.APIPromise<TieredCachingGetResponse>;
}
export type TieredCachingEditResponse = unknown | string | null;
export type TieredCachingGetResponse = unknown | string | null;
export interface TieredCachingEditParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param: Enables Tiered Caching.
     */
    value: 'on' | 'off';
}
export interface TieredCachingGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace TieredCaching {
    export import TieredCachingEditResponse = TieredCachingAPI.TieredCachingEditResponse;
    export import TieredCachingGetResponse = TieredCachingAPI.TieredCachingGetResponse;
    export import TieredCachingEditParams = TieredCachingAPI.TieredCachingEditParams;
    export import TieredCachingGetParams = TieredCachingAPI.TieredCachingGetParams;
}
//# sourceMappingURL=tiered-caching.d.ts.map