"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrandProtection = void 0;
const resource_1 = require("cloudflare/resource");
class BrandProtection extends resource_1.APIResource {
    /**
     * Submit suspicious URL for scanning
     */
    submit(params, options) {
        const { account_id, ...body } = params;
        return this._client.post(`/accounts/${account_id}/brand-protection/submit`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get results for a URL scan
     */
    urlInfo(params, options) {
        const { account_id, ...query } = params;
        return this._client.get(`/accounts/${account_id}/brand-protection/url-info`, {
            query,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
}
exports.BrandProtection = BrandProtection;
(function (BrandProtection) {
})(BrandProtection = exports.BrandProtection || (exports.BrandProtection = {}));
//# sourceMappingURL=brand-protection.js.map