// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class SmartTieredCache extends APIResource {
    /**
     * Remvoves enablement of Smart Tiered Cache
     */
    delete(params, options) {
        const { zone_id } = params;
        return this._client.delete(`/zones/${zone_id}/cache/tiered_cache_smart_topology_enable`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Updates enablement of Tiered Cache
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/cache/tiered_cache_smart_topology_enable`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get Smart Tiered Cache setting
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/cache/tiered_cache_smart_topology_enable`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (SmartTieredCache) {
})(SmartTieredCache || (SmartTieredCache = {}));
//# sourceMappingURL=smart-tiered-cache.mjs.map