import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as HostnameAssociationsAPI from 'cloudflare/resources/certificate-authorities/hostname-associations';
export declare class HostnameAssociations extends APIResource {
    /**
     * Replace Hostname Associations
     */
    update(params: HostnameAssociationUpdateParams, options?: Core.RequestOptions): Core.APIPromise<TLSCertificatesAndHostnamesHostnameAssociation>;
    /**
     * List Hostname Associations
     */
    get(params: HostnameAssociationGetParams, options?: Core.RequestOptions): Core.APIPromise<TLSCertificatesAndHostnamesHostnameAssociation>;
}
export interface TLSCertificatesAndHostnamesHostnameAssociation {
    hostnames?: Array<string>;
    /**
     * The UUID for a certificate that was uploaded to the mTLS Certificate Management
     * endpoint. If no mtls_certificate_id is given, the hostnames will be associated
     * to your active Cloudflare Managed CA.
     */
    mtls_certificate_id?: string;
}
export interface HostnameAssociationUpdateParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param:
     */
    hostnames?: Array<string>;
    /**
     * Body param: The UUID for a certificate that was uploaded to the mTLS Certificate
     * Management endpoint. If no mtls_certificate_id is given, the hostnames will be
     * associated to your active Cloudflare Managed CA.
     */
    mtls_certificate_id?: string;
}
export interface HostnameAssociationGetParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Query param: The UUID to match against for a certificate that was uploaded to
     * the mTLS Certificate Management endpoint. If no mtls_certificate_id is given,
     * the results will be the hostnames associated to your active Cloudflare Managed
     * CA.
     */
    mtls_certificate_id?: string;
}
export declare namespace HostnameAssociations {
    export import TLSCertificatesAndHostnamesHostnameAssociation = HostnameAssociationsAPI.TLSCertificatesAndHostnamesHostnameAssociation;
    export import HostnameAssociationUpdateParams = HostnameAssociationsAPI.HostnameAssociationUpdateParams;
    export import HostnameAssociationGetParams = HostnameAssociationsAPI.HostnameAssociationGetParams;
}
//# sourceMappingURL=hostname-associations.d.ts.map