// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class DNSSEC extends APIResource {
    /**
     * Delete DNSSEC.
     */
    delete(params, options) {
        const { zone_id } = params;
        return this._client.delete(`/zones/${zone_id}/dnssec`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Enable or disable DNSSEC.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/dnssec`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Details about DNSSEC status and configuration.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/dnssec`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (DNSSEC) {
})(DNSSEC || (DNSSEC = {}));
//# sourceMappingURL=dnssec.mjs.map