import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as StatsAPI from 'cloudflare/resources/images/v1/stats';
export declare class Stats extends APIResource {
    /**
     * Fetch usage statistics details for Cloudflare Images.
     */
    get(params: StatGetParams, options?: Core.RequestOptions): Core.APIPromise<ImagesImagesStats>;
}
export interface ImagesImagesStats {
    count?: ImagesImagesStats.Count;
}
export declare namespace ImagesImagesStats {
    interface Count {
        /**
         * Cloudflare Images allowed usage.
         */
        allowed?: number;
        /**
         * Cloudflare Images current usage.
         */
        current?: number;
    }
}
export interface StatGetParams {
    /**
     * Account identifier tag.
     */
    account_id: string;
}
export declare namespace Stats {
    export import ImagesImagesStats = StatsAPI.ImagesImagesStats;
    export import StatGetParams = StatsAPI.StatGetParams;
}
//# sourceMappingURL=stats.d.ts.map