import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as ASNAPI from 'cloudflare/resources/intel/asn/asn';
import * as SubnetsAPI from 'cloudflare/resources/intel/asn/subnets';
export declare class ASN extends APIResource {
    subnets: SubnetsAPI.Subnets;
    /**
     * Get ASN Overview
     */
    get(asn: IntelASN, params: ASNGetParams, options?: Core.RequestOptions): Core.APIPromise<IntelASN>;
}
export type IntelASN = number;
export interface ASNGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace ASN {
    export import IntelASN = ASNAPI.IntelASN;
    export import ASNGetParams = ASNAPI.ASNGetParams;
    export import Subnets = SubnetsAPI.Subnets;
    export import SubnetGetResponse = SubnetsAPI.SubnetGetResponse;
    export import SubnetGetParams = SubnetsAPI.SubnetGetParams;
}
//# sourceMappingURL=asn.d.ts.map