import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as DomainHistoryAPI from 'cloudflare/resources/intel/domain-history';
export declare class DomainHistory extends APIResource {
    /**
     * Get Domain History
     */
    get(params: DomainHistoryGetParams, options?: Core.RequestOptions): Core.APIPromise<DomainHistoryGetResponse | null>;
}
export interface IntelDomainHistory {
    categorizations?: Array<IntelDomainHistory.Categorization>;
    domain?: string;
}
export declare namespace IntelDomainHistory {
    interface Categorization {
        categories?: unknown;
        end?: string;
        start?: string;
    }
}
export type DomainHistoryGetResponse = Array<IntelDomainHistory>;
export interface DomainHistoryGetParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Query param:
     */
    domain?: unknown;
}
export declare namespace DomainHistory {
    export import IntelDomainHistory = DomainHistoryAPI.IntelDomainHistory;
    export import DomainHistoryGetResponse = DomainHistoryAPI.DomainHistoryGetResponse;
    export import DomainHistoryGetParams = DomainHistoryAPI.DomainHistoryGetParams;
}
//# sourceMappingURL=domain-history.d.ts.map