import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as IPsAPI from 'cloudflare/resources/intel/ips';
export declare class IPs extends APIResource {
    /**
     * Get IP Overview
     */
    get(params: IPGetParams, options?: Core.RequestOptions): Core.APIPromise<IPGetResponse | null>;
}
export interface IntelSchemasIP {
    /**
     * Specifies a reference to the autonomous systems (AS) that the IP address belongs
     * to.
     */
    belongs_to_ref?: IntelSchemasIP.BelongsToRef;
    ip?: string | string;
    risk_types?: unknown;
}
export declare namespace IntelSchemasIP {
    /**
     * Specifies a reference to the autonomous systems (AS) that the IP address belongs
     * to.
     */
    interface BelongsToRef {
        id?: unknown;
        country?: string;
        description?: string;
        /**
         * Infrastructure type of this ASN.
         */
        type?: 'hosting_provider' | 'isp' | 'organization';
        value?: string;
    }
}
export type IPGetResponse = Array<IntelSchemasIP>;
export interface IPGetParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Query param:
     */
    ipv4?: string;
    /**
     * Query param:
     */
    ipv6?: string;
}
export declare namespace IPs {
    export import IntelSchemasIP = IPsAPI.IntelSchemasIP;
    export import IPGetResponse = IPsAPI.IPGetResponse;
    export import IPGetParams = IPsAPI.IPGetParams;
}
//# sourceMappingURL=ips.d.ts.map