"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Metadata = void 0;
const resource_1 = require("cloudflare/resource");
class Metadata extends resource_1.APIResource {
    /**
     * Returns the metadata associated with the given key in the given namespace. Use
     * URL-encoding to use special characters (for example, `:`, `!`, `%`) in the key
     * name.
     */
    get(namespaceId, keyName, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/storage/kv/namespaces/${namespaceId}/metadata/${keyName}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Metadata = Metadata;
(function (Metadata) {
})(Metadata = exports.Metadata || (exports.Metadata = {}));
//# sourceMappingURL=metadata.js.map