import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as SearchesAPI from 'cloudflare/resources/load-balancers/searches';
export declare class Searches extends APIResource {
    /**
     * Search for Load Balancing resources.
     */
    get(params: SearchGetParams, options?: Core.RequestOptions): Core.APIPromise<SearchGetResponse | null>;
}
export type SearchGetResponse = Array<unknown>;
export interface SearchGetParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Query param:
     */
    page?: unknown;
    /**
     * Query param:
     */
    per_page?: unknown;
    /**
     * Query param:
     */
    search_params?: SearchGetParams.SearchParams;
}
export declare namespace SearchGetParams {
    interface SearchParams {
        /**
         * Search query term.
         */
        query?: string;
        /**
         * The type of references to include ("\*" for all).
         */
        references?: '' | '*' | 'referral' | 'referrer';
    }
}
export declare namespace Searches {
    export import SearchGetResponse = SearchesAPI.SearchGetResponse;
    export import SearchGetParams = SearchesAPI.SearchGetParams;
}
//# sourceMappingURL=searches.d.ts.map