import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as ConfigsAPI from 'cloudflare/resources/magic-network-monitoring/configs/configs';
import * as FullAPI from 'cloudflare/resources/magic-network-monitoring/configs/full';
export declare class Configs extends APIResource {
    full: FullAPI.Full;
    /**
     * Create a new network monitoring configuration.
     */
    create(accountIdentifier: unknown, options?: Core.RequestOptions): Core.APIPromise<MagicVisibilityMNMConfig>;
    /**
     * Update an existing network monitoring configuration, requires the entire
     * configuration to be updated at once.
     */
    update(accountIdentifier: unknown, options?: Core.RequestOptions): Core.APIPromise<MagicVisibilityMNMConfig>;
    /**
     * Delete an existing network monitoring configuration.
     */
    delete(accountIdentifier: unknown, options?: Core.RequestOptions): Core.APIPromise<MagicVisibilityMNMConfig>;
    /**
     * Update fields in an existing network monitoring configuration.
     */
    edit(accountIdentifier: unknown, options?: Core.RequestOptions): Core.APIPromise<MagicVisibilityMNMConfig>;
    /**
     * Lists default sampling and router IPs for account.
     */
    get(accountIdentifier: unknown, options?: Core.RequestOptions): Core.APIPromise<MagicVisibilityMNMConfig>;
}
export interface MagicVisibilityMNMConfig {
    /**
     * Fallback sampling rate of flow messages being sent in packets per second. This
     * should match the packet sampling rate configured on the router.
     */
    default_sampling: number;
    /**
     * The account name.
     */
    name: string;
    router_ips: Array<string>;
}
export declare namespace Configs {
    export import MagicVisibilityMNMConfig = ConfigsAPI.MagicVisibilityMNMConfig;
    export import Full = FullAPI.Full;
}
//# sourceMappingURL=configs.d.ts.map