"use strict";
// File generated from our OpenAPI spec by Stainless.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Configs = void 0;
const resource_1 = require("cloudflare/resource");
const FullAPI = __importStar(require("cloudflare/resources/magic-network-monitoring/configs/full"));
class Configs extends resource_1.APIResource {
    constructor() {
        super(...arguments);
        this.full = new FullAPI.Full(this._client);
    }
    /**
     * Create a new network monitoring configuration.
     */
    create(accountIdentifier, options) {
        return this._client.post(`/accounts/${accountIdentifier}/mnm/config`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update an existing network monitoring configuration, requires the entire
     * configuration to be updated at once.
     */
    update(accountIdentifier, options) {
        return this._client.put(`/accounts/${accountIdentifier}/mnm/config`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Delete an existing network monitoring configuration.
     */
    delete(accountIdentifier, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/mnm/config`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update fields in an existing network monitoring configuration.
     */
    edit(accountIdentifier, options) {
        return this._client.patch(`/accounts/${accountIdentifier}/mnm/config`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists default sampling and router IPs for account.
     */
    get(accountIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/mnm/config`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Configs = Configs;
(function (Configs) {
    Configs.Full = FullAPI.Full;
})(Configs = exports.Configs || (exports.Configs = {}));
//# sourceMappingURL=configs.js.map