// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import * as FullAPI from 'cloudflare/resources/magic-network-monitoring/configs/full';
export class Configs extends APIResource {
    constructor() {
        super(...arguments);
        this.full = new FullAPI.Full(this._client);
    }
    /**
     * Create a new network monitoring configuration.
     */
    create(accountIdentifier, options) {
        return this._client.post(`/accounts/${accountIdentifier}/mnm/config`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update an existing network monitoring configuration, requires the entire
     * configuration to be updated at once.
     */
    update(accountIdentifier, options) {
        return this._client.put(`/accounts/${accountIdentifier}/mnm/config`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Delete an existing network monitoring configuration.
     */
    delete(accountIdentifier, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/mnm/config`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update fields in an existing network monitoring configuration.
     */
    edit(accountIdentifier, options) {
        return this._client.patch(`/accounts/${accountIdentifier}/mnm/config`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists default sampling and router IPs for account.
     */
    get(accountIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/mnm/config`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Configs) {
    Configs.Full = FullAPI.Full;
})(Configs || (Configs = {}));
//# sourceMappingURL=configs.mjs.map