// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class ACLs extends APIResource {
    /**
     * Creates a new Site ACL.
     */
    create(accountIdentifier, siteIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/acls`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update a specific Site ACL.
     */
    update(accountIdentifier, siteIdentifier, aclIdentifier, body, options) {
        return this._client.put(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/acls/${aclIdentifier}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists Site ACLs associated with an account.
     */
    list(accountIdentifier, siteIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/acls`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Remove a specific Site ACL.
     */
    delete(accountIdentifier, siteIdentifier, aclIdentifier, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/acls/${aclIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get a specific Site ACL.
     */
    get(accountIdentifier, siteIdentifier, aclIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/acls/${aclIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (ACLs) {
})(ACLs || (ACLs = {}));
//# sourceMappingURL=acls.mjs.map