// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import * as ACLsAPI from 'cloudflare/resources/magic-transit/sites/acls';
import * as LansAPI from 'cloudflare/resources/magic-transit/sites/lans';
import * as WansAPI from 'cloudflare/resources/magic-transit/sites/wans';
export class Sites extends APIResource {
    constructor() {
        super(...arguments);
        this.acls = new ACLsAPI.ACLs(this._client);
        this.lans = new LansAPI.Lans(this._client);
        this.wans = new WansAPI.Wans(this._client);
    }
    /**
     * Creates a new Site
     */
    create(accountIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/magic/sites`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update a specific Site.
     */
    update(accountIdentifier, siteIdentifier, body, options) {
        return this._client.put(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists Sites associated with an account. Use connector_identifier query param to
     * return sites where connector_identifier matches either site.ConnectorID or
     * site.SecondaryConnectorID.
     */
    list(accountIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Remove a specific Site.
     */
    delete(accountIdentifier, siteIdentifier, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get a specific Site.
     */
    get(accountIdentifier, siteIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Sites) {
    Sites.ACLs = ACLsAPI.ACLs;
    Sites.Lans = LansAPI.Lans;
    Sites.Wans = WansAPI.Wans;
})(Sites || (Sites = {}));
//# sourceMappingURL=sites.mjs.map