"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Connections = void 0;
const resource_1 = require("cloudflare/resource");
class Connections extends resource_1.APIResource {
    /**
     * Lists all connections detected by Page Shield.
     */
    list(params, options) {
        const { zone_id, ...query } = params;
        return this._client.get(`/zones/${zone_id}/page_shield/connections`, {
            query,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches a connection detected by Page Shield by connection ID.
     */
    get(connectionId, params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/page_shield/connections/${connectionId}`, options);
    }
}
exports.Connections = Connections;
(function (Connections) {
})(Connections = exports.Connections || (exports.Connections = {}));
//# sourceMappingURL=connections.js.map