"use strict";
// File generated from our OpenAPI spec by Stainless.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Queues = void 0;
const resource_1 = require("cloudflare/resource");
const ConsumersAPI = __importStar(require("cloudflare/resources/queues/consumers"));
class Queues extends resource_1.APIResource {
    constructor() {
        super(...arguments);
        this.consumers = new ConsumersAPI.Consumers(this._client);
    }
    /**
     * Creates a new queue.
     */
    create(params, options) {
        const { account_id, body } = params;
        return this._client.post(`/accounts/${account_id}/workers/queues`, {
            body: body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Updates a queue.
     */
    update(name, params, options) {
        const { account_id, body } = params;
        return this._client.put(`/accounts/${account_id}/workers/queues/${name}`, {
            body: body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Returns the queues owned by an account.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/workers/queues`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Deletes a queue.
     */
    delete(name, params, options) {
        const { account_id } = params;
        return this._client.delete(`/accounts/${account_id}/workers/queues/${name}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get information about a specific queue.
     */
    get(name, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/workers/queues/${name}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Queues = Queues;
(function (Queues) {
    Queues.Consumers = ConsumersAPI.Consumers;
})(Queues = exports.Queues || (exports.Queues = {}));
//# sourceMappingURL=queues.js.map