"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.IQI = void 0;
const resource_1 = require("cloudflare/resource");
class IQI extends resource_1.APIResource {
    /**
     * Get a summary (percentiles) of bandwidth, latency or DNS response time from the
     * Radar Internet Quality Index (IQI).
     */
    summary(query, options) {
        return this._client.get('/radar/quality/iqi/summary', { query, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get a time series (percentiles) of bandwidth, latency or DNS response time from
     * the Radar Internet Quality Index (IQI).
     */
    timeseriesGroups(query, options) {
        return this._client.get('/radar/quality/iqi/timeseries_groups', { query, ...options })._thenUnwrap((obj) => obj.result);
    }
}
exports.IQI = IQI;
(function (IQI) {
})(IQI = exports.IQI || (exports.IQI = {}));
//# sourceMappingURL=iqi.js.map