import { APIResource } from 'cloudflare/resource';
import * as ConnectionTamperingAPI from 'cloudflare/resources/radar/connection-tampering';
import * as DatasetsAPI from 'cloudflare/resources/radar/datasets';
import * as SearchAPI from 'cloudflare/resources/radar/search';
import * as AnnotationsAPI from 'cloudflare/resources/radar/annotations/annotations';
import * as AS112API from 'cloudflare/resources/radar/as112/as112';
import * as AttacksAPI from 'cloudflare/resources/radar/attacks/attacks';
import * as BGPAPI from 'cloudflare/resources/radar/bgp/bgp';
import * as DNSAPI from 'cloudflare/resources/radar/dns/dns';
import * as EmailAPI from 'cloudflare/resources/radar/email/email';
import * as EntitiesAPI from 'cloudflare/resources/radar/entities/entities';
import * as HTTPAPI from 'cloudflare/resources/radar/http/http';
import * as NetflowsAPI from 'cloudflare/resources/radar/netflows/netflows';
import * as QualityAPI from 'cloudflare/resources/radar/quality/quality';
import * as RankingAPI from 'cloudflare/resources/radar/ranking/ranking';
import * as TrafficAnomaliesAPI from 'cloudflare/resources/radar/traffic-anomalies/traffic-anomalies';
import * as VerifiedBotsAPI from 'cloudflare/resources/radar/verified-bots/verified-bots';
export declare class Radar extends APIResource {
    annotations: AnnotationsAPI.Annotations;
    bgp: BGPAPI.BGP;
    datasets: DatasetsAPI.Datasets;
    dns: DNSAPI.DNS;
    netflows: NetflowsAPI.Netflows;
    search: SearchAPI.Search;
    verifiedBots: VerifiedBotsAPI.VerifiedBots;
    as112: AS112API.AS112;
    connectionTampering: ConnectionTamperingAPI.ConnectionTampering;
    email: EmailAPI.Email;
    attacks: AttacksAPI.Attacks;
    entities: EntitiesAPI.Entities;
    http: HTTPAPI.HTTP;
    quality: QualityAPI.Quality;
    ranking: RankingAPI.Ranking;
    trafficAnomalies: TrafficAnomaliesAPI.TrafficAnomalies;
}
export declare namespace Radar {
    export import Annotations = AnnotationsAPI.Annotations;
    export import BGP = BGPAPI.BGP;
    export import BGPTimeseriesResponse = BGPAPI.BGPTimeseriesResponse;
    export import BGPTimeseriesParams = BGPAPI.BGPTimeseriesParams;
    export import Datasets = DatasetsAPI.Datasets;
    export import DatasetListResponse = DatasetsAPI.DatasetListResponse;
    export import DatasetDownloadResponse = DatasetsAPI.DatasetDownloadResponse;
    export import DatasetGetResponse = DatasetsAPI.DatasetGetResponse;
    export import DatasetListParams = DatasetsAPI.DatasetListParams;
    export import DatasetDownloadParams = DatasetsAPI.DatasetDownloadParams;
    export import DatasetGetParams = DatasetsAPI.DatasetGetParams;
    export import DNS = DNSAPI.DNS;
    export import Netflows = NetflowsAPI.Netflows;
    export import NetflowTimeseriesResponse = NetflowsAPI.NetflowTimeseriesResponse;
    export import NetflowTimeseriesParams = NetflowsAPI.NetflowTimeseriesParams;
    export import Search = SearchAPI.Search;
    export import SearchGlobalResponse = SearchAPI.SearchGlobalResponse;
    export import SearchGlobalParams = SearchAPI.SearchGlobalParams;
    export import VerifiedBots = VerifiedBotsAPI.VerifiedBots;
    export import AS112 = AS112API.AS112;
    export import AS112TimeseriesResponse = AS112API.AS112TimeseriesResponse;
    export import AS112TimeseriesParams = AS112API.AS112TimeseriesParams;
    export import ConnectionTampering = ConnectionTamperingAPI.ConnectionTampering;
    export import ConnectionTamperingSummaryResponse = ConnectionTamperingAPI.ConnectionTamperingSummaryResponse;
    export import ConnectionTamperingTimeseriesGroupsResponse = ConnectionTamperingAPI.ConnectionTamperingTimeseriesGroupsResponse;
    export import ConnectionTamperingSummaryParams = ConnectionTamperingAPI.ConnectionTamperingSummaryParams;
    export import ConnectionTamperingTimeseriesGroupsParams = ConnectionTamperingAPI.ConnectionTamperingTimeseriesGroupsParams;
    export import Email = EmailAPI.Email;
    export import Attacks = AttacksAPI.Attacks;
    export import Entities = EntitiesAPI.Entities;
    export import EntityGetResponse = EntitiesAPI.EntityGetResponse;
    export import EntityGetParams = EntitiesAPI.EntityGetParams;
    export import HTTP = HTTPAPI.HTTP;
    export import Quality = QualityAPI.Quality;
    export import Ranking = RankingAPI.Ranking;
    export import RankingTimeseriesGroupsResponse = RankingAPI.RankingTimeseriesGroupsResponse;
    export import RankingTopResponse = RankingAPI.RankingTopResponse;
    export import RankingTimeseriesGroupsParams = RankingAPI.RankingTimeseriesGroupsParams;
    export import RankingTopParams = RankingAPI.RankingTopParams;
    export import TrafficAnomalies = TrafficAnomaliesAPI.TrafficAnomalies;
    export import TrafficAnomalyGetResponse = TrafficAnomaliesAPI.TrafficAnomalyGetResponse;
    export import TrafficAnomalyGetParams = TrafficAnomaliesAPI.TrafficAnomalyGetParams;
}
//# sourceMappingURL=radar.d.ts.map