// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Domains extends APIResource {
    /**
     * Update individual domain.
     */
    update(domainName, params, options) {
        const { account_id, ...body } = params;
        return this._client.put(`/accounts/${account_id}/registrar/domains/${domainName}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * List domains handled by Registrar.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/registrar/domains`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Show individual domain.
     */
    get(domainName, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/registrar/domains/${domainName}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Domains) {
})(Domains || (Domains = {}));
//# sourceMappingURL=domains.mjs.map