import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as BulkOperationsAPI from 'cloudflare/resources/rules/lists/bulk-operations';
export declare class BulkOperations extends APIResource {
    /**
     * Gets the current status of an asynchronous operation on a list.
     *
     * The `status` property can have one of the following values: `pending`,
     * `running`, `completed`, or `failed`. If the status is `failed`, the `error`
     * property will contain a message describing the error.
     */
    get(accountIdentifier: string, operationId: string, options?: Core.RequestOptions): Core.APIPromise<BulkOperationGetResponse | null>;
}
export type BulkOperationGetResponse = Array<unknown>;
export declare namespace BulkOperations {
    export import BulkOperationGetResponse = BulkOperationsAPI.BulkOperationGetResponse;
}
//# sourceMappingURL=bulk-operations.d.ts.map