// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Analytics extends APIResource {
    /**
     * Retrieves Workers KV request metrics for the given account.
     */
    list(params, options) {
        const { account_id, ...query } = params;
        return this._client.get(`/accounts/${account_id}/storage/analytics`, {
            query,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Retrieves Workers KV stored data metrics for the given account.
     */
    stored(params, options) {
        const { account_id, ...query } = params;
        return this._client.get(`/accounts/${account_id}/storage/analytics/stored`, {
            query,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
}
(function (Analytics) {
})(Analytics || (Analytics = {}));
//# sourceMappingURL=analytics.mjs.map