// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Webhooks extends APIResource {
    /**
     * Creates a webhook notification.
     */
    update(params, options) {
        const { account_id, ...body } = params;
        return this._client.put(`/accounts/${account_id}/stream/webhook`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Deletes a webhook.
     */
    delete(params, options) {
        const { account_id } = params;
        return this._client.delete(`/accounts/${account_id}/stream/webhook`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Retrieves a list of webhooks.
     */
    get(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/stream/webhook`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Webhooks) {
})(Webhooks || (Webhooks = {}));
//# sourceMappingURL=webhooks.mjs.map