"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.URLNormalization = void 0;
const resource_1 = require("cloudflare/resource");
class URLNormalization extends resource_1.APIResource {
    /**
     * Updates the URL normalization settings.
     */
    update(params, options) {
        const { zone_id, ...body } = params;
        return this._client.put(`/zones/${zone_id}/url_normalization`, { body, ...options });
    }
    /**
     * Fetches the current URL normalization settings.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/url_normalization`, options);
    }
}
exports.URLNormalization = URLNormalization;
(function (URLNormalization) {
})(URLNormalization = exports.URLNormalization || (exports.URLNormalization = {}));
//# sourceMappingURL=url-normalization.js.map