"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Invites = void 0;
const resource_1 = require("cloudflare/resource");
class Invites extends resource_1.APIResource {
    /**
     * Lists all invitations associated with my user.
     */
    list(options) {
        return this._client.get('/user/invites', options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Responds to an invitation.
     */
    edit(inviteId, body, options) {
        return this._client.patch(`/user/invites/${inviteId}`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets the details of an invitation.
     */
    get(inviteId, options) {
        return this._client.get(`/user/invites/${inviteId}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Invites = Invites;
(function (Invites) {
})(Invites = exports.Invites || (exports.Invites = {}));
//# sourceMappingURL=invites.js.map