// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Settings extends APIResource {
    /**
     * Update zone-level Waiting Room settings
     */
    update(zoneIdentifier, body, options) {
        return this._client.put(`/zones/${zoneIdentifier}/waiting_rooms/settings`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Patch zone-level Waiting Room settings
     */
    edit(zoneIdentifier, body, options) {
        return this._client.patch(`/zones/${zoneIdentifier}/waiting_rooms/settings`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get zone-level Waiting Room settings
     */
    get(zoneIdentifier, options) {
        return this._client.get(`/zones/${zoneIdentifier}/waiting_rooms/settings`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Settings) {
})(Settings || (Settings = {}));
//# sourceMappingURL=settings.mjs.map