"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Scripts = void 0;
const resource_1 = require("cloudflare/resource");
const core_1 = require("cloudflare/core");
class Scripts extends resource_1.APIResource {
    /**
     * Put script content for a script uploaded to a Workers for Platforms namespace.
     */
    update(dispatchNamespace, scriptName, params, options) {
        const { account_id, 'CF-WORKER-BODY-PART': cfWorkerBodyPart, 'CF-WORKER-MAIN-MODULE-PART': cfWorkerMainModulePart, ...body } = params;
        return this._client.put(`/accounts/${account_id}/workers/dispatch/namespaces/${dispatchNamespace}/scripts/${scriptName}/content`, (0, core_1.multipartFormRequestOptions)({
            body,
            ...options,
            headers: {
                'CF-WORKER-BODY-PART': cfWorkerBodyPart || '',
                'CF-WORKER-MAIN-MODULE-PART': cfWorkerMainModulePart || '',
                ...options?.headers,
            },
        }))._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetch script content from a script uploaded to a Workers for Platforms
     * namespace.
     */
    get(dispatchNamespace, scriptName, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/workers/dispatch/namespaces/${dispatchNamespace}/scripts/${scriptName}/content`, { ...options, __binaryResponse: true });
    }
}
exports.Scripts = Scripts;
(function (Scripts) {
})(Scripts = exports.Scripts || (exports.Scripts = {}));
//# sourceMappingURL=scripts.js.map