"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Settings = void 0;
const resource_1 = require("cloudflare/resource");
const core_1 = require("cloudflare/core");
class Settings extends resource_1.APIResource {
    /**
     * Patch script metadata or config, such as bindings or usage model
     */
    edit(scriptName, params, options) {
        const { account_id, ...body } = params;
        return this._client.patch(`/accounts/${account_id}/workers/scripts/${scriptName}/settings`, (0, core_1.multipartFormRequestOptions)({ body, ...options }))._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get script metadata and config, such as bindings or usage model
     */
    get(scriptName, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/workers/scripts/${scriptName}/settings`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Settings = Settings;
(function (Settings) {
})(Settings = exports.Settings || (exports.Settings = {}));
//# sourceMappingURL=settings.js.map