import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as UsageModelAPI from 'cloudflare/resources/workers/scripts/usage-model';
export declare class UsageModel extends APIResource {
    /**
     * Updates the Usage Model for a given Worker. Requires a Workers Paid
     * subscription.
     */
    update(scriptName: string, params: UsageModelUpdateParams, options?: Core.RequestOptions): Core.APIPromise<UsageModelUpdateResponse>;
    /**
     * Fetches the Usage Model for a given Worker.
     */
    get(scriptName: string, params: UsageModelGetParams, options?: Core.RequestOptions): Core.APIPromise<UsageModelGetResponse>;
}
export interface UsageModelUpdateResponse {
    usage_model?: unknown;
}
export interface UsageModelGetResponse {
    usage_model?: unknown;
}
export interface UsageModelUpdateParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param:
     */
    body: unknown;
}
export interface UsageModelGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace UsageModel {
    export import UsageModelUpdateResponse = UsageModelAPI.UsageModelUpdateResponse;
    export import UsageModelGetResponse = UsageModelAPI.UsageModelGetResponse;
    export import UsageModelUpdateParams = UsageModelAPI.UsageModelUpdateParams;
    export import UsageModelGetParams = UsageModelAPI.UsageModelGetParams;
}
//# sourceMappingURL=usage-model.d.ts.map