// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import { multipartFormRequestOptions } from 'cloudflare/core';
export class Content extends APIResource {
    /**
     * Put script content from a worker with an environment
     */
    update(serviceName, environmentName, params, options) {
        const { account_id, 'CF-WORKER-BODY-PART': cfWorkerBodyPart, 'CF-WORKER-MAIN-MODULE-PART': cfWorkerMainModulePart, ...body } = params;
        return this._client.put(`/accounts/${account_id}/workers/services/${serviceName}/environments/${environmentName}/content`, multipartFormRequestOptions({
            body,
            ...options,
            headers: {
                'CF-WORKER-BODY-PART': cfWorkerBodyPart || '',
                'CF-WORKER-MAIN-MODULE-PART': cfWorkerMainModulePart || '',
                ...options?.headers,
            },
        }))._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get script content from a worker with an environment
     */
    get(serviceName, environmentName, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/workers/services/${serviceName}/environments/${environmentName}/content`, { ...options, __binaryResponse: true });
    }
}
(function (Content) {
})(Content || (Content = {}));
//# sourceMappingURL=content.mjs.map