import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as SubdomainsAPI from 'cloudflare/resources/workers/subdomains';
export declare class Subdomains extends APIResource {
    /**
     * Creates a Workers subdomain for an account.
     */
    update(params: SubdomainUpdateParams, options?: Core.RequestOptions): Core.APIPromise<SubdomainUpdateResponse>;
    /**
     * Returns a Workers subdomain for an account.
     */
    get(params: SubdomainGetParams, options?: Core.RequestOptions): Core.APIPromise<SubdomainGetResponse>;
}
export interface SubdomainUpdateResponse {
    name?: unknown;
}
export interface SubdomainGetResponse {
    name?: unknown;
}
export interface SubdomainUpdateParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param:
     */
    body: unknown;
}
export interface SubdomainGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Subdomains {
    export import SubdomainUpdateResponse = SubdomainsAPI.SubdomainUpdateResponse;
    export import SubdomainGetResponse = SubdomainsAPI.SubdomainGetResponse;
    export import SubdomainUpdateParams = SubdomainsAPI.SubdomainUpdateParams;
    export import SubdomainGetParams = SubdomainsAPI.SubdomainGetParams;
}
//# sourceMappingURL=subdomains.d.ts.map