// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class CustomPages extends APIResource {
    /**
     * Create a custom page
     */
    create(identifier, body, options) {
        return this._client.post(`/accounts/${identifier}/access/custom_pages`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update a custom page
     */
    update(identifier, uuid, body, options) {
        return this._client.put(`/accounts/${identifier}/access/custom_pages/${uuid}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * List custom pages
     */
    list(identifier, options) {
        return this._client.get(`/accounts/${identifier}/access/custom_pages`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Delete a custom page
     */
    delete(identifier, uuid, options) {
        return this._client.delete(`/accounts/${identifier}/access/custom_pages/${uuid}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches a custom page and also returns its HTML.
     */
    get(identifier, uuid, options) {
        return this._client.get(`/accounts/${identifier}/access/custom_pages/${uuid}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (CustomPages) {
})(CustomPages || (CustomPages = {}));
//# sourceMappingURL=custom-pages.mjs.map