import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as KeysAPI from 'cloudflare/resources/zero-trust/access/keys';
export declare class Keys extends APIResource {
    /**
     * Updates the Access key rotation settings for an account.
     */
    update(identifier: string, body: KeyUpdateParams, options?: Core.RequestOptions): Core.APIPromise<KeyUpdateResponse>;
    /**
     * Gets the Access key rotation settings for an account.
     */
    list(identifier: string, options?: Core.RequestOptions): Core.APIPromise<KeyListResponse>;
    /**
     * Perfoms a key rotation for an account.
     */
    rotate(identifier: string, options?: Core.RequestOptions): Core.APIPromise<KeyRotateResponse>;
}
export type KeyUpdateResponse = unknown | string;
export type KeyListResponse = unknown | string;
export type KeyRotateResponse = unknown | string;
export interface KeyUpdateParams {
    /**
     * The number of days between key rotations.
     */
    key_rotation_interval_days: number;
}
export declare namespace Keys {
    export import KeyUpdateResponse = KeysAPI.KeyUpdateResponse;
    export import KeyListResponse = KeysAPI.KeyListResponse;
    export import KeyRotateResponse = KeysAPI.KeyRotateResponse;
    export import KeyUpdateParams = KeysAPI.KeyUpdateParams;
}
//# sourceMappingURL=keys.d.ts.map