"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Keys = void 0;
const resource_1 = require("cloudflare/resource");
class Keys extends resource_1.APIResource {
    /**
     * Updates the Access key rotation settings for an account.
     */
    update(identifier, body, options) {
        return this._client.put(`/accounts/${identifier}/access/keys`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets the Access key rotation settings for an account.
     */
    list(identifier, options) {
        return this._client.get(`/accounts/${identifier}/access/keys`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Perfoms a key rotation for an account.
     */
    rotate(identifier, options) {
        return this._client.post(`/accounts/${identifier}/access/keys/rotate`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Keys = Keys;
(function (Keys) {
})(Keys = exports.Keys || (exports.Keys = {}));
//# sourceMappingURL=keys.js.map