// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Keys extends APIResource {
    /**
     * Updates the Access key rotation settings for an account.
     */
    update(identifier, body, options) {
        return this._client.put(`/accounts/${identifier}/access/keys`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets the Access key rotation settings for an account.
     */
    list(identifier, options) {
        return this._client.get(`/accounts/${identifier}/access/keys`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Perfoms a key rotation for an account.
     */
    rotate(identifier, options) {
        return this._client.post(`/accounts/${identifier}/access/keys/rotate`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Keys) {
})(Keys || (Keys = {}));
//# sourceMappingURL=keys.mjs.map