// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import * as ActiveSessionsAPI from 'cloudflare/resources/zero-trust/access/users/active-sessions';
import * as FailedLoginsAPI from 'cloudflare/resources/zero-trust/access/users/failed-logins';
import * as LastSeenIdentityAPI from 'cloudflare/resources/zero-trust/access/users/last-seen-identity';
export class Users extends APIResource {
    constructor() {
        super(...arguments);
        this.activeSessions = new ActiveSessionsAPI.ActiveSessions(this._client);
        this.lastSeenIdentity = new LastSeenIdentityAPI.LastSeenIdentity(this._client);
        this.failedLogins = new FailedLoginsAPI.FailedLogins(this._client);
    }
    /**
     * Gets a list of users for an account.
     */
    list(identifier, options) {
        return this._client.get(`/accounts/${identifier}/access/users`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Users) {
    Users.ActiveSessions = ActiveSessionsAPI.ActiveSessions;
    Users.LastSeenIdentity = LastSeenIdentityAPI.LastSeenIdentity;
    Users.FailedLogins = FailedLoginsAPI.FailedLogins;
})(Users || (Users = {}));
//# sourceMappingURL=users.mjs.map