"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Excludes = void 0;
const resource_1 = require("cloudflare/resource");
class Excludes extends resource_1.APIResource {
    /**
     * Sets the list of routes excluded from the WARP client's tunnel.
     */
    update(params, options) {
        const { account_id, body } = params;
        return this._client.put(`/accounts/${account_id}/devices/policy/exclude`, {
            body: body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches the list of routes excluded from the WARP client's tunnel.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/devices/policy/exclude`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches the list of routes excluded from the WARP client's tunnel for a specific
     * device settings profile.
     */
    get(policyId, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/devices/policy/${policyId}/exclude`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Excludes = Excludes;
(function (Excludes) {
})(Excludes = exports.Excludes || (exports.Excludes = {}));
//# sourceMappingURL=excludes.js.map