import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as RevokesAPI from 'cloudflare/resources/zero-trust/devices/revokes';
export declare class Revokes extends APIResource {
    /**
     * Revokes a list of devices.
     */
    create(params: RevokeCreateParams, options?: Core.RequestOptions): Core.APIPromise<RevokeCreateResponse | null>;
}
export type RevokeCreateResponse = unknown | string;
export interface RevokeCreateParams {
    /**
     * Path param:
     */
    account_id: unknown;
    /**
     * Body param: A list of device ids to revoke.
     */
    body: Array<string>;
}
export declare namespace Revokes {
    export import RevokeCreateResponse = RevokesAPI.RevokeCreateResponse;
    export import RevokeCreateParams = RevokesAPI.RevokeCreateParams;
}
//# sourceMappingURL=revokes.d.ts.map