// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class AuditSSHSettings extends APIResource {
    /**
     * Updates Zero Trust Audit SSH settings.
     */
    update(params, options) {
        const { account_id, ...body } = params;
        return this._client.put(`/accounts/${account_id}/gateway/audit_ssh_settings`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get all Zero Trust Audit SSH settings for an account.
     */
    get(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/gateway/audit_ssh_settings`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (AuditSSHSettings) {
})(AuditSSHSettings || (AuditSSHSettings = {}));
//# sourceMappingURL=audit-ssh-settings.mjs.map