// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Logging extends APIResource {
    /**
     * Updates logging settings for the current Zero Trust account.
     */
    update(params, options) {
        const { account_id, ...body } = params;
        return this._client.put(`/accounts/${account_id}/gateway/logging`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches the current logging settings for Zero Trust account.
     */
    get(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/gateway/logging`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Logging) {
})(Logging || (Logging = {}));
//# sourceMappingURL=logging.mjs.map