import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as ConnectorsAPI from 'cloudflare/resources/zero-trust/tunnels/connectors';
import * as ConnectionsAPI from 'cloudflare/resources/zero-trust/tunnels/connections';
export declare class Connectors extends APIResource {
    /**
     * Fetches connector and connection details for a Cloudflare Tunnel.
     */
    get(tunnelId: string, connectorId: string, params: ConnectorGetParams, options?: Core.RequestOptions): Core.APIPromise<ConnectionsAPI.TunnelTunnelClient>;
}
export interface ConnectorGetParams {
    /**
     * Cloudflare account ID
     */
    account_id: string;
}
export declare namespace Connectors {
    export import ConnectorGetParams = ConnectorsAPI.ConnectorGetParams;
}
//# sourceMappingURL=connectors.d.ts.map