import { APIResource } from 'cloudflare/resource';
import * as ConnectivitySettingsAPI from 'cloudflare/resources/zero-trust/connectivity-settings';
import * as IdentityProvidersAPI from 'cloudflare/resources/zero-trust/identity-providers';
import * as OrganizationsAPI from 'cloudflare/resources/zero-trust/organizations';
import * as SeatsAPI from 'cloudflare/resources/zero-trust/seats';
import * as AccessAPI from 'cloudflare/resources/zero-trust/access/access';
import * as DevicesAPI from 'cloudflare/resources/zero-trust/devices/devices';
import * as DEXAPI from 'cloudflare/resources/zero-trust/dex/dex';
import * as DLPAPI from 'cloudflare/resources/zero-trust/dlp/dlp';
import * as GatewayAPI from 'cloudflare/resources/zero-trust/gateway/gateway';
import * as NetworksAPI from 'cloudflare/resources/zero-trust/networks/networks';
import * as TunnelsAPI from 'cloudflare/resources/zero-trust/tunnels/tunnels';
export declare class ZeroTrust extends APIResource {
    devices: DevicesAPI.Devices;
    identityProviders: IdentityProvidersAPI.IdentityProviders;
    organizations: OrganizationsAPI.Organizations;
    seats: SeatsAPI.Seats;
    access: AccessAPI.Access;
    dex: DEXAPI.DEX;
    tunnels: TunnelsAPI.Tunnels;
    connectivitySettings: ConnectivitySettingsAPI.ConnectivitySettings;
    dlp: DLPAPI.DLP;
    gateway: GatewayAPI.Gateway;
    networks: NetworksAPI.Networks;
}
export declare namespace ZeroTrust {
    export import Devices = DevicesAPI.Devices;
    export import TeamsDevicesDevices = DevicesAPI.TeamsDevicesDevices;
    export import DeviceListResponse = DevicesAPI.DeviceListResponse;
    export import DeviceGetResponse = DevicesAPI.DeviceGetResponse;
    export import DeviceListParams = DevicesAPI.DeviceListParams;
    export import DeviceGetParams = DevicesAPI.DeviceGetParams;
    export import IdentityProviders = IdentityProvidersAPI.IdentityProviders;
    export import AccessIdentityProviders = IdentityProvidersAPI.AccessIdentityProviders;
    export import IdentityProviderListResponse = IdentityProvidersAPI.IdentityProviderListResponse;
    export import IdentityProviderDeleteResponse = IdentityProvidersAPI.IdentityProviderDeleteResponse;
    export import IdentityProviderCreateParams = IdentityProvidersAPI.IdentityProviderCreateParams;
    export import IdentityProviderUpdateParams = IdentityProvidersAPI.IdentityProviderUpdateParams;
    export import IdentityProviderListParams = IdentityProvidersAPI.IdentityProviderListParams;
    export import IdentityProviderDeleteParams = IdentityProvidersAPI.IdentityProviderDeleteParams;
    export import IdentityProviderGetParams = IdentityProvidersAPI.IdentityProviderGetParams;
    export import Organizations = OrganizationsAPI.Organizations;
    export import AccessOrganizations = OrganizationsAPI.AccessOrganizations;
    export import OrganizationRevokeUsersResponse = OrganizationsAPI.OrganizationRevokeUsersResponse;
    export import OrganizationCreateParams = OrganizationsAPI.OrganizationCreateParams;
    export import OrganizationUpdateParams = OrganizationsAPI.OrganizationUpdateParams;
    export import OrganizationListParams = OrganizationsAPI.OrganizationListParams;
    export import OrganizationRevokeUsersParams = OrganizationsAPI.OrganizationRevokeUsersParams;
    export import Seats = SeatsAPI.Seats;
    export import AccessSeats = SeatsAPI.AccessSeats;
    export import SeatEditResponse = SeatsAPI.SeatEditResponse;
    export import SeatEditParams = SeatsAPI.SeatEditParams;
    export import Access = AccessAPI.Access;
    export import DEX = DEXAPI.DEX;
    export import Tunnels = TunnelsAPI.Tunnels;
    export import TunnelArgoTunnel = TunnelsAPI.TunnelArgoTunnel;
    export import TunnelListResponse = TunnelsAPI.TunnelListResponse;
    export import TunnelEditResponse = TunnelsAPI.TunnelEditResponse;
    export import TunnelListResponsesV4PagePaginationArray = TunnelsAPI.TunnelListResponsesV4PagePaginationArray;
    export import TunnelCreateParams = TunnelsAPI.TunnelCreateParams;
    export import TunnelListParams = TunnelsAPI.TunnelListParams;
    export import TunnelDeleteParams = TunnelsAPI.TunnelDeleteParams;
    export import TunnelEditParams = TunnelsAPI.TunnelEditParams;
    export import TunnelGetParams = TunnelsAPI.TunnelGetParams;
    export import ConnectivitySettings = ConnectivitySettingsAPI.ConnectivitySettings;
    export import ConnectivitySettingEditResponse = ConnectivitySettingsAPI.ConnectivitySettingEditResponse;
    export import ConnectivitySettingGetResponse = ConnectivitySettingsAPI.ConnectivitySettingGetResponse;
    export import ConnectivitySettingEditParams = ConnectivitySettingsAPI.ConnectivitySettingEditParams;
    export import ConnectivitySettingGetParams = ConnectivitySettingsAPI.ConnectivitySettingGetParams;
    export import DLP = DLPAPI.DLP;
    export import Gateway = GatewayAPI.Gateway;
    export import GatewayCreateResponse = GatewayAPI.GatewayCreateResponse;
    export import GatewayListResponse = GatewayAPI.GatewayListResponse;
    export import GatewayCreateParams = GatewayAPI.GatewayCreateParams;
    export import GatewayListParams = GatewayAPI.GatewayListParams;
    export import Networks = NetworksAPI.Networks;
}
//# sourceMappingURL=zero-trust.d.ts.map