"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Mirage = void 0;
const resource_1 = require("cloudflare/resource");
class Mirage extends resource_1.APIResource {
    /**
     * Automatically optimize image loading for website visitors on mobile devices.
     * Refer to our
     * [blog post](http://blog.cloudflare.com/mirage2-solving-mobile-speed) for more
     * information.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/mirage`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Automatically optimize image loading for website visitors on mobile devices.
     * Refer to our
     * [blog post](http://blog.cloudflare.com/mirage2-solving-mobile-speed) for more
     * information.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/mirage`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Mirage = Mirage;
(function (Mirage) {
})(Mirage = exports.Mirage || (exports.Mirage = {}));
//# sourceMappingURL=mirage.js.map