import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as OrangeToOrangeAPI from 'cloudflare/resources/zones/settings/orange-to-orange';
export declare class OrangeToOrange extends APIResource {
    /**
     * Orange to Orange (O2O) allows zones on Cloudflare to CNAME to other zones also
     * on Cloudflare.
     */
    edit(params: OrangeToOrangeEditParams, options?: Core.RequestOptions): Core.APIPromise<ZonesOrangeToOrange>;
    /**
     * Orange to Orange (O2O) allows zones on Cloudflare to CNAME to other zones also
     * on Cloudflare.
     */
    get(params: OrangeToOrangeGetParams, options?: Core.RequestOptions): Core.APIPromise<ZonesOrangeToOrange>;
}
/**
 * Orange to Orange (O2O) allows zones on Cloudflare to CNAME to other zones also
 * on Cloudflare.
 */
export interface ZonesOrangeToOrange {
    /**
     * ID of the zone setting.
     */
    id: 'orange_to_orange';
    /**
     * Current value of the zone setting.
     */
    value: 'on' | 'off';
    /**
     * Whether or not this setting can be modified for this zone (based on your
     * Cloudflare plan level).
     */
    editable?: true | false;
    /**
     * last time this setting was modified.
     */
    modified_on?: string | null;
}
export interface OrangeToOrangeEditParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param: Orange to Orange (O2O) allows zones on Cloudflare to CNAME to other
     * zones also on Cloudflare.
     */
    value: ZonesOrangeToOrange;
}
export interface OrangeToOrangeGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace OrangeToOrange {
    export import ZonesOrangeToOrange = OrangeToOrangeAPI.ZonesOrangeToOrange;
    export import OrangeToOrangeEditParams = OrangeToOrangeAPI.OrangeToOrangeEditParams;
    export import OrangeToOrangeGetParams = OrangeToOrangeAPI.OrangeToOrangeGetParams;
}
//# sourceMappingURL=orange-to-orange.d.ts.map