"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecurityHeaders = void 0;
const resource_1 = require("cloudflare/resource");
class SecurityHeaders extends resource_1.APIResource {
    /**
     * Cloudflare security header for a zone.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/security_header`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Cloudflare security header for a zone.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/security_header`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.SecurityHeaders = SecurityHeaders;
(function (SecurityHeaders) {
})(SecurityHeaders = exports.SecurityHeaders || (exports.SecurityHeaders = {}));
//# sourceMappingURL=security-headers.js.map