import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as SSLRecommenderAPI from 'cloudflare/resources/zones/settings/ssl-recommender';
export declare class SSLRecommender extends APIResource {
    /**
     * Enrollment in the SSL/TLS Recommender service which tries to detect and
     * recommend (by sending periodic emails) the most secure SSL/TLS setting your
     * origin servers support.
     */
    edit(params: SSLRecommenderEditParams, options?: Core.RequestOptions): Core.APIPromise<ZonesSSLRecommender>;
    /**
     * Enrollment in the SSL/TLS Recommender service which tries to detect and
     * recommend (by sending periodic emails) the most secure SSL/TLS setting your
     * origin servers support.
     */
    get(params: SSLRecommenderGetParams, options?: Core.RequestOptions): Core.APIPromise<ZonesSSLRecommender>;
}
/**
 * Enrollment in the SSL/TLS Recommender service which tries to detect and
 * recommend (by sending periodic emails) the most secure SSL/TLS setting your
 * origin servers support.
 */
export interface ZonesSSLRecommender {
    /**
     * Enrollment value for SSL/TLS Recommender.
     */
    id?: 'ssl_recommender';
    /**
     * ssl-recommender enrollment setting.
     */
    enabled?: boolean;
}
export interface SSLRecommenderEditParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param: Enrollment in the SSL/TLS Recommender service which tries to detect
     * and recommend (by sending periodic emails) the most secure SSL/TLS setting your
     * origin servers support.
     */
    value: ZonesSSLRecommender;
}
export interface SSLRecommenderGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace SSLRecommender {
    export import ZonesSSLRecommender = SSLRecommenderAPI.ZonesSSLRecommender;
    export import SSLRecommenderEditParams = SSLRecommenderAPI.SSLRecommenderEditParams;
    export import SSLRecommenderGetParams = SSLRecommenderAPI.SSLRecommenderGetParams;
}
//# sourceMappingURL=ssl-recommender.d.ts.map