"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZeroRTT = void 0;
const resource_1 = require("cloudflare/resource");
class ZeroRTT extends resource_1.APIResource {
    /**
     * Changes the 0-RTT session resumption setting.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/0rtt`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets 0-RTT session resumption setting.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/0rtt`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.ZeroRTT = ZeroRTT;
(function (ZeroRTT) {
})(ZeroRTT = exports.ZeroRTT || (exports.ZeroRTT = {}));
//# sourceMappingURL=zero-rtt.js.map