import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import { type Response } from 'cloudflare/_shims/index';
import * as ScriptAPI from 'cloudflare/resources/zones/workers/script';
export declare class Script extends APIResource {
    /**
     * Upload a worker, or a new version of a worker.
     */
    update(params: ScriptUpdateParams, options?: Core.RequestOptions): Core.APIPromise<ScriptUpdateResponse>;
    /**
     * Delete your Worker. This call has no response body on a successful delete.
     */
    delete(params: ScriptDeleteParams, options?: Core.RequestOptions): Core.APIPromise<void>;
    /**
     * Fetch raw script content for your worker. Note this is the original script
     * content, not JSON encoded.
     */
    get(params: ScriptGetParams, options?: Core.RequestOptions): Core.APIPromise<Response>;
}
export type ScriptUpdateResponse = unknown | string;
export interface ScriptUpdateParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export interface ScriptDeleteParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export interface ScriptGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace Script {
    export import ScriptUpdateResponse = ScriptAPI.ScriptUpdateResponse;
    export import ScriptUpdateParams = ScriptAPI.ScriptUpdateParams;
    export import ScriptDeleteParams = ScriptAPI.ScriptDeleteParams;
    export import ScriptGetParams = ScriptAPI.ScriptGetParams;
}
//# sourceMappingURL=script.d.ts.map